<!--
    For cXML license agreement information, please see
    http://www.cxml.org/home/license.asp

    $Id: //ariba/cxml/Modules/CatalogUpload.mod#1 $
-->

<!--
    Contain all the information related to the catalog upload, the same
    functionality as the catalog upload provided by supplier.ariba.com
-->
<!ELEMENT CatalogUploadRequest (CatalogName, Description, Attachment,
                                Commodities?, AutoPublish?, Notification)>
<!ATTLIST CatalogUploadRequest
    operation  (new | update)  #REQUIRED
>

<!--
    CatalogName is the name of the uploaded/published catalog. The
    name is unique per supplier, and it can be defined in the
    different languages
-->
<!ELEMENT CatalogName ( #PCDATA )> <!-- string -->
<!ATTLIST CatalogName
    xml:lang  %xmlLangCode;  #REQUIRED
>

<!--
    The list of the commodity codes.
-->
<!ELEMENT Commodities (CommodityCode+)>

<!--
    The two-digit code
-->
<!ELEMENT CommodityCode ( #PCDATA )> <!-- string -->

<!--
    If the attribute "enabled" set to be "true", the updated catalog
    will be published to the same buyers according to its previous
    publish
-->
<!ELEMENT AutoPublish EMPTY>
<!ATTLIST AutoPublish
    enabled       %string;       #REQUIRED
>

<!--
    The information used by Ariba CSN to send the notification (the
    status of the catalog upload) to the suppliers.
-->
<!ELEMENT Notification (Email?, URLPost?)>

<!--
    The URL to receive the StatusUpdateRequest, which describes the
    status of the catalog upload, such as the "success" (means the
    catalog is validated, or the catalog is published),
    the "failed" (the catalog has errors, ......)
-->
<!ELEMENT URLPost EMPTY>
<!ATTLIST URLPost
    enabled       %string;       #REQUIRED
>
